Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSMorphSolidLine

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSLineStyle
              com.flagstone.transform.FSMorphSolidLine

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSMorphSolidLine

extends FSLineStyle

FSMorphSolidLine defines the width and colour of a line drawn for a morphing shape.

It specifies the width and colour of the line at the start and end of the morphing process. The transparency value for the colour should also be specified. As with the FSSolidLine class all lines are drawn with rounded corners and end caps. Different join and line end styles can be created by drawing very narrow shapes.

Attributes
startWidth | The width of the line at the start of the morphing process.
startColor | The colour applied to the line at the start of the morphing process.
endWidth | The width of the line at the end of the morphing process.
endColor | The colour applied to the line at the end of the morphing process.

The FSDefineMorphShape object support transparent colours so alpha channel information must be specified in the colour objects.

# History

The FSMorphSolidLine class represents the MorphLineStyle structure from the Macromedia Flash (SWF) File Format Specification. Shape morphing was introduced in Flash 3.

Constructor Summary
`FSMorphSolidLine(FSCoder coder)` Construct an FSMorphSolidLine object, initalizing it with values decoded from an encoded object.
`FSMorphSolidLine(FSMorphSolidLine obj)` Constructs an FSMorphSolidLine object by copying values from an existing object.
`FSMorphSolidLine(int aStartWidth, int anEndWidth, FSColor aStartColor, FSColor anEndColor)` Constructs an FSMorphLineStyle object specifying the starting and ending widths and colours.

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`java.lang.Object` | `clone()` Creates a deep copy of the entire object.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`FSColor` | `getEndColor()` Gets the colour of the line at the end of the morphing process.
`int` | `getEndWidth()` Gets the width of the line at the end of the morphing process.
`FSColor` | `getStartColor()` Gets the colour of the line at the start of the morphing process.
`int` | `getStartWidth()` Gets the width of the line at the start of the morphing process.
`int` | `length(FSCoder coder)`
`void` | `setEndColor(FSColor aColor)` Sets the colour of the line at the end of the morphing process.
`void` | `setEndWidth(int aNumber)` Sets the width of the line at the end of the morphing process.
`void` | `setStartColor(FSColor aColor)` Gets the colour of the line at the start of the morphing process.
`void` | `setStartWidth(int aNumber)` Sets the width of the line at the start of the morphing process.

Methods inherited from class com.flagstone.transform.FSTransformObject
`name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSMorphSolidLine

    public FSMorphSolidLine(FSCoder coder)

  Construct an FSMorphSolidLine object, initalizing it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSMorphSolidLine

    public FSMorphSolidLine(int aStartWidth,
                            int anEndWidth,
                            FSColor aStartColor,
                            FSColor anEndColor)

  Constructs an FSMorphLineStyle object specifying the starting and ending widths and colours.

  Parameters:
    `aStartWidth` - the width of the line at the start of the morphing process.
    `anEndWidth` - the width of the line at the end of the morphing process.
    `aStartColor` - the colour of the line at the start of the morphing process.
    `anEndColor` - the colour of the line at the end of the morphing process.

### FSMorphSolidLine

    public FSMorphSolidLine(FSMorphSolidLine obj)

  Constructs an FSMorphSolidLine object by copying values from an existing object.

  Parameters:
    `obj` - an FSMorphSolidLine object.

Method Detail

### getStartWidth

    public int getStartWidth()

  Gets the width of the line at the start of the morphing process.

  Returns:
    the starting width of the line.

### getEndWidth

    public int getEndWidth()

  Gets the width of the line at the end of the morphing process.

  Returns:
    the ending width of the line.

### getStartColor

    public FSColor getStartColor()

  Gets the colour of the line at the start of the morphing process.

  Returns:
    the starting colour of the line.

### getEndColor

    public FSColor getEndColor()

  Gets the colour of the line at the end of the morphing process.

  Returns:
    the ending colour of the line.

### setStartWidth

    public void setStartWidth(int aNumber)

  Sets the width of the line at the start of the morphing process.

  Parameters:
    `aNumber` - the starting width of the line.

### setEndWidth

    public void setEndWidth(int aNumber)

  Sets the width of the line at the end of the morphing process.

  Parameters:
    `aNumber` - the ending width of the line.

### setStartColor

    public void setStartColor(FSColor aColor)

  Gets the colour of the line at the start of the morphing process.

  Parameters:
    `aColor` - the starting colour of the line.

### setEndColor

    public void setEndColor(FSColor aColor)

  Sets the colour of the line at the end of the morphing process.

  Parameters:
    `aColor` - the ending colour of the line.

### clone

    public java.lang.Object clone()

  Description copied from class: `FSTransformObject`
  Creates a deep copy of the entire object.

  Overrides:
    `clone` in class `FSTransformObject`
  Returns:
    a copy of the object.

### equals

    public boolean equals(java.lang.Object anObject)

  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSTransformObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Specified by:
    `appendDescription` in class `FSTransformObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Specified by:
    `length` in class `FSTransformObject`

### encode

    public void encode(FSCoder coder)

  Specified by:
    `encode` in class `FSTransformObject`

### decode

    public void decode(FSCoder coder)

  Specified by:
    `decode` in class `FSTransformObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD